#include <stdio.h>
#include "simple_event.h"
#include <Rtypes.h>
#include <TTree.h>
#include <TFile.h>

#define MAXHITS 100
#define TREENAME "Albero eventi"
#define TREECOMMENT "Commento all'albero"


int main(int argc, char *argv[]) {


  simple_event *evento = new simple_event(); // the simple_event variable to fill with data

  if(argc<2){
    printf("Specify output file name\n");
    return(-1);
  }


  // Create or open root file
  TFile f(argv[1],"RECREATE");
  
  // Create Tree and Branch 
  TTree tree(TREENAME, TREECOMMENT);
  tree.Branch("event_branch", "simple_event", &evento, 16000, 2);





  // loop to fill evento
  for(int i=0; i<10; i++) {
    evento->Clear();
    evento->event_num = i;
    evento->hits_num = 10*i;
   
    evento->set_hits();
    
  // write event to tree
  tree.Fill();
  
  }


  tree.Print();
  f.Write();


}
